BEEM - Android XMPP - Bug #321

Exception when username does not have an @
12/17/2010 11:47 AM - Anonymous

Status: Closed Start date: 12/17/2010
Priority: Normal Due date:

Assignee: Nikita Kozlov % Done: 100%
Category: XMPP Estimated time: 0.00 hour
Target version: 0.1.5

Affected version: 0.1.x Locale:

Description

If you set your own server, and your username does not have an @, beem will crash on connect.

Associated revisions

Revision 844:30d32b73be7c - 01/16/2011 12:44 PM - Nikita Kozlov

fix Bug #321
| have commented the PrivacyListManagerAdapter initialization because the exception came from the underneath code.
Also, since the feature isn't finished (especially tested) and enabled in the gui, it will be safer.

Revision 865:30d32b73be7c - 01/16/2011 12:44 PM - Nikita Kozlov

fix Bug #321
| have commented the PrivacyListManagerAdapter initialization because the exception came from the underneath code.
Also, since the feature isn't finished (especially tested) and enabled in the gui, it will be safer.

Revision 844:30d32b73be7c - 01/16/2011 12:44 PM - Nikita Kozlov

fix Bug #321
| have commented the PrivacyListManagerAdapter initialization because the exception came from the underneath code.
Also, since the feature isn't finished (especially tested) and enabled in the gui, it will be safer.

History

#1 -12/17/2010 11:57 AM - Nikita Kozlov
- Category set to XMPP

- Status changed from New to Assigned

- Assignee set to Nikita Kozlov

- Target version setto 0.1.5

- Affected version changed from 0.2 to 0.1.x

#2 - 12/19/2010 12:33 AM - Nikita Kozlov

| cannot reproduce the issue when using the trunk version, need more info or it may already be fixed.

#3 - 12/19/2010 12:34 AM - Nikita Kozlov
- Status changed from Assigned to Feedback

#4 - 12/31/2010 06:38 PM - m ¢

Same bug here. Using:

User: user@server

Password: password

Server: server

works but return "wrong password or user". Indeed my login should be "user"
Using:

User: user

Password: password

Server: server

Does not work, Beem terminates. When starting again, Beem tries to connect automaticaly and ... terminates again. | have about 1seconde to press
"abort".

#5 - 01/02/2011 06:02 PM - Frédéric Barthéléry
Can you provide us a stack trace with logcat ? | cannot reproduce the problem too.
Your username should be a full JID ; user@server. only the user part is used to authenticate.

#6 - 01/03/2011 01:30 PM-m ¢
- File beem-log.txt added

Your username should be a full JID ; user@server. only the user part is used to authenticate.

Ok, however the connection fails and returns "wrong password or user". Using the same username and password, | can connect with my computer.
Is there character limitation for the password? It contains characters like #,". and so on.

--> It seems that | was using a buggy web page to check my password on the apinc.org server. There is no problem with the password when using
beem.

Can you provide us a stack trace with logcat ?

Ok, | tried to reproduce the problem, in fact, it is not so easy. Until now, | thought that the problem occured every time.
However, it seems that the problem occurs only if you previously abort a connection. Example:
- | try to connect with:

User: user@server

Password: password

Server: server

- | abort the connection

- | change the username to "user" (remove @server)

- | try to connect.

- Then the programm leaves.

Notice, I'm using the 0.1.4 found on android market.

You will find here the trace obtained with aLogcat, it seems that all begin with this line:
W/dalvikvm(14686): threadid=39: thread exiting with uncaught exception (group=0x2aaca450)

Best regards,

M. Charbonnier.

#7 - 01/16/2011 01:25 PM - Nikita Kozlov

- Status changed from Feedback to Resolved

- % Done changed from 0 to 100

I have unsuccessfully tried to reproduce your crash by following your indications.

Also, looking at your log, it look like that something went bad in PrivacyListManager code so | have commented the line that initialize it in
xmppconnection creation (anyway, since it's unfinished/untested it was a bad idea to let it be initialized).

It will be helpful if you could retest with the (at least) tonight nightlybuild or with the future 1.5 release.

#8 - 01/24/2011 11:55 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed

Files

beem-log.txt 4.55 KB 01/03/2011
